
Global OpcMutex
OpcMutex = CreateMutex()

Procedure.s GetErrorString(*Server, Errornumber.l)
  Protected result.s
  LockMutex(OpcMutex)
  result = PeekS(OpcGetErrorString(*Server, ErrorNumber), #PB_Any, #PB_Unicode)
  UnlockMutex(OpcMutex)
  ProcedureReturn result
EndProcedure

Procedure.s GetQualityText(qnr.l)
  Protected result.s
  LockMutex(OpcMutex)
  result = PeekS(OpcGetQualityText(qnr), #PB_Any, #PB_Unicode)
  UnlockMutex(OpcMutex)
  ProcedureReturn result
EndProcedure

Procedure.s IsShutdownText(*ShutdownObject)
  Protected result.s
  LockMutex(OpcMutex)
  result = PeekS(OpcIsShutdownText(*ShutdownObject), #PB_Any, #PB_Unicode)
  UnlockMutex(OpcMutex)
  ProcedureReturn result
EndProcedure

; IDE Options = PureBasic 4.30 (Windows - x86)
; CursorPosition = 12
; Folding = -
; EnableXP